
TYPO3.Flow - Bug # 32691

Status: Resolved Priority: Should have
Author: Andreas Förthner Category: AOP
Created: 2011-12-19 Assigned To: Andreas Förthner
Updated: 2011-12-21 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Arguments code of introduced methods is not generated in the proxy classes
Description

This ends in a fatal error, as the proxy method does not match the signature of the one in the interface.

Associated revisions
Revision 40a68449 - 2011-12-20 11:35 - Andreas Förthner

[BUGFIX] The declaring class for an advice is the interface for introductions

Change-Id: Ia3e7c6360c073f4af4adf08c191849abf31f8725
Fixes: #32691
Releases: 1.1

History
#1 - 2011-12-19 15:15 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5395

#2 - 2011-12-20 11:35 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5395

#3 - 2011-12-20 11:38 - Andreas Förthner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:40a68449476d258448a093a9ae087f3979b29194.

#4 - 2011-12-21 12:38 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
